//*****************************************************
//       File:  ImageDemo2.java
//        Dir:  c:users\gordon\cis421\animation
//     Author:  HGG; Updated by DSS
//   Computer:  PCs and Suns supporting Xwindows
//   Compiler:  Java 1.2
//    Purpose:  To demonstrate images in applications via URL and getContent()
//    Execute:  java ImageDemo2 url
//
//*****************************************************
import java.io.*;
import java.awt.*;
import java.awt.image.*;
import java.net.*;

 public class ImageDemo2 extends Frame 
 {   URL url;
   Image image;   

   public ImageDemo2(String name)
   {
     try
     { url = new URL(name);
     }
     catch(MalformedURLException e)
     {
       System.out.println("Incorrect URL: " + name);
     }
     try
     { // Get the image into the I
       image = createImage( (ImageProducer) url.getContent() );
     }
     catch(IOException e)
     {
       System.out.println(" Error reading file: " + name);
     }
     setSize(400, 400);
     setTitle(url.getHost() + url.getFile());
     setResizable(false);
     setVisible(true);
   }

   public void paint(Graphics g)
   {
      g.drawImage(image, 10, 25, this);
   }
 
   public static void main(String[] args)
   {
     if(args.length != 1)
     {
        System.out.println("Usage: java ImageDemo2 url");
        System.exit(0);
     }
     new ImageDemo2(args[0]);
   }
}
   

